/* freeie.c -- free chain of input events	*/

#include "sysall.h"

#include  <cx/cxusr.h>

/* free chain of input events	*/

FreeIEvents(ie)
register struct InputEvent *ie;
{
	register struct InputEvent *next;

	while (ie)
	{
		next = ie->ie_NextEvent;
		FreeMem(ie, (LONG) sizeof (struct InputEvent) );
		ie = next;
	}
}
